# eric4.Helpviewer.OpenSearch.OpenSearchWriter

Module implementing a writer for open search engine descriptions.

### Global Attributes

None

### Classes

OpenSearchWriter | Class implementing a writer for open search engine descriptions.

### Functions

None

## OpenSearchWriter

Class implementing a writer for open search engine descriptions.

### Derived from

QXmlStreamWriter

### Class Attributes

None

### Methods

OpenSearchWriter | Constructor
__write | Private method to write the description of an engine.
write | Public method to write the description of an engine.

#### OpenSearchWriter (Constructor)

OpenSearchWriter()

Constructor

#### OpenSearchWriter.__write

__write(engine)

Private method to write the description of an engine.

engine
  reference to the engine (OpenSearchEngine)

#### OpenSearchWriter.write

write(device, engine)

Public method to write the description of an engine.

device
  reference to the device to write to (QIODevice)
engine
  reference to the engine (OpenSearchEngine)

Up